Bug 433957 - AGP fail to initialize [NEEDINFO]
AGP fail to initialize
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-22 07:10 EST by Ermenegildo Fiorito
Modified: 2009-07-14 10:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:57:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fdc: needinfo? (fiorito.g)


Attachments (Terms of Use)
Possible patch (agp aperture quirk) (3.12 KB, patch)
2008-02-22 07:11 EST, Ermenegildo Fiorito
no flags Details | Diff

  None (edit)
Description Ermenegildo Fiorito 2008-02-22 07:10:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.13pre) Gecko/20080210 Firefox/2.0.0.13pre (Swiftfox)

Description of problem:
Environment:
  - Motherboard ASUS K8V-X SE
  - CPU: AMD Sempron 3000+
  - Graphics (no-name) ATI 9250 (probes as PCI id 1002:5960, with a
    secondary card as 1002:5940 - see below)

AGP fail to initialize and Xorg Disable the DRI extension.
It Works only on a X86_64 kernel

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. $:  dmesg | grep agp
Linux agpgart interface v0.103
agpgart: Detected AGP bridge 0
agpgart: AGP aperture is 32M @ 0xe4000000

2. $: cat /var/log/Xorg.0.log
(WW) RADEON(0): [agp] AGP not available
(EE) RADEON(0): [agp] AGP failed to initialize. Disabling the DRI.

3. 

Actual Results:


Expected Results:


Additional info:
Comment 1 Ermenegildo Fiorito 2008-02-22 07:11:33 EST
Created attachment 295620 [details]
Possible patch (agp aperture quirk)
Comment 2 Chuck Ebbert 2008-03-03 18:11:04 EST
It should work just fine at e4000000
Comment 3 Ermenegildo Fiorito 2008-03-11 09:57:01 EDT
e4000000??????'
Comment 4 Bug Zapper 2008-05-14 01:20:21 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Ermenegildo Fiorito 2008-06-21 05:22:46 EDT
ergo?
Any possible solution?
Comment 6 François Cami 2009-02-06 16:14:15 EST
  Ermenegildo,
Could you please attach dmesg output and /var/log/Xorg.0.log as uncompressed text to this bug ?
Do you still see the problems on a more current Fedora, like F10 ?
Comment 7 Bug Zapper 2009-06-09 19:36:58 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 10:57:10 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.